define([], function () {

	var logger = function (module, message, state) {

		if(!message){
			message = module;
			module = null;
		}

		switch (state) {
			case 'log':
				backgroundColor = '#009933';
				break;
			case 'error':
				backgroundColor = '#FF0000';
				break;
			case 'info':
				backgroundColor = '#0066FF';
				break;
			default:
				backgroundColor = '#669999';
				break;
		}

		if (console.log.name != "log") {
			delete window.console;
		}

		if(!module){
			module = 'FEA';
		}

		console.log('%c ' + state + ' %c' + ' ' + '%c' + '  ' + module + '  ' + '%c' + '   ',
			'background: ' + backgroundColor + '; color: #FFFFFF',
			'background: #FFFFFF;',
			'background: #88BBC8; color: #FFFFFF',
			'background: #FFFFFF;', message);
	};

	return {
		log : function (module, message, state) {
			//for backward compatibility
			if(state){
				return logger(module, message, state);
			}
			logger(module, message, 'log');
		},
		info: function (module, message) {
			logger(module, message, 'info');
		},
		error: function (module, message) {
			logger(module, message, 'error');
		},
		warn: function (module, message) {
			logger(module, message, 'warn');
		}
	};
});