define(['jquery', 'component/core/mediator'], function ($, mediator) {

	function newsletter_subscribe(el) {
		var nl_mail = $('input[type=email]', el).val(),
			nl_id = $('input[type=hidden]', el).val(),
			current_form = $('form', el),
			current_span = $('.form-message', el);

		$.getJSON('http://www.chip.de/newsletter.subscription.widget/actions/register.php?ajax=true&nl_mail=' + nl_mail + '&nl_id=' + nl_id, function(data) {
			if (data.status === 'success') {
				mediator.publish('newsletter.on.submit.success', nl_id);
				current_form.addClass('s-inactive');
				$(':input', current_form).each(function() {
					$(this).attr("disabled", "disabled")
				});
				$(':input[type=email]', current_form).removeClass('s-active');
				current_span.addClass('is-success').html('Sie wurden erfolgreich eingetragen! <a href="http://www.chip.de/s_specials/CHIP-Online-Newsletter-Service_46023661.html">&Auml;ndern?</a>')
//				current_span.fadeIn();
//				current_span.delay(5000).fadeOut();
			} else {
				mediator.publish('newsletter.on.submit.error', nl_id);
				$(':input[type=email]', current_form).addClass('s-active');
				current_span.addClass('is-error').html('Bitte pr&uuml;fen Sie Ihre E-Mail-Adresse und versuchen es erneut!');
//				current_span.fadeIn();
			}
		});
	}

	return {
		init: function (el) {
			$('form', el).on('submit', function (e) {
				e.preventDefault();
				newsletter_subscribe(el);
			})
		}
	}
});