define(['jquery'], function ($) {
    var FooterAdditionalLinks = function (el) {

        this.el = $(el);
        this.init();
    };

    FooterAdditionalLinks.prototype.init = function() {
        this.initFooter();
        this.bindEvents();

        //indicator that JavaScript loaded without Problem
        this.el.addClass('js-active');

    };


    FooterAdditionalLinks.prototype.initFooter = function() {
       var linkFooter = $('[data-footer-link]'),
           linkdiv = document.createElement("li");

        for(var i = 0; i < linkFooter.length; i++){
            var linkwrapper = $(linkdiv).clone();
                linkwrapper.append(linkFooter.eq(i));
          $('.Footer__Nav ul', this.el).eq(0).prepend(linkwrapper);
        }


        this.sortLinks();
    };

    FooterAdditionalLinks.prototype.sortLinks = function() {
        var links = $('.footer-nav > div', this.el).find('div'),
            linklength = links.length,
            linkcontainer = $('.footer-nav > div', this.el),
            linkcontainerlength = linkcontainer.length,
            linkpercontainer = Math.floor(linklength/linkcontainerlength),
            restlinks = linklength % linkcontainerlength,
            ind=0;

        for (var i=0; i<linkcontainerlength; i++) {
            for (var j=0; j<linkpercontainer; j++){
                linkcontainer.eq(i).append (links.eq(ind));
                ind ++;

            }
            // deploy the modulo-links to the container.
            if (restlinks > 0){
                linkcontainer.eq(i).append (links.eq(ind));
                restlinks--; ind++;
            }
        }
    };

    /**
     * Bind Functions to Events
     */
    FooterAdditionalLinks.prototype.bindEvents = function() {
        var self = this;
    };

    /**
     * needed for annotated module
     */
    return  {
        'init' : function(el) {
            new FooterAdditionalLinks(el);
        },
        'version' : function() {
            return '2.0.0';
        }
    }
});
