/**
 *  @author bpletzer, iaksent, mmatzanke
 */
define(function () { "use strict"

    var q = window.modules = window.modules || [], waitFor = [], i;

    for (i = 0; i < q.length; i++) {
        define(q[i][0], q[i][1]);
    }

    q.push = function (itemArr) {
        var mName = itemArr[0], factory = itemArr[1];

        define(mName, factory);
        for (i = 0; i < waitFor.length; i++) {
            if (waitFor[i][0] === mName) {
                waitFor[i][1].call(this, mName);
                break;
            }
        }
    };

    return {
        load : function (nameAndParams, req, load, config) {
            var mName = nameAndParams.split("!")[0],
                timeOut = nameAndParams.split("!")[1] ? nameAndParams.split("!")[1] : window.requirejs.s.contexts._.config['waitSeconds']*1000, 
                i,
                mod,
                isRequired = false,

                doRequire = function (mName) {
                    req([mName], function (data) {
                        load(data);
                    });
                },

                abortRequire = function () {
                    load(null);
                };

            for (i = 0; i < q.length; i++) {
                mod = q[i];

                if (mod.indexOf(mName) !== -1) {
                    doRequire(mName);
                    isRequired = true;
                }
            }
            if (!isRequired) {
                setTimeout(abortRequire, timeOut);
                waitFor.push([mName,
                    function () {
                        doRequire(mName);
                    }]);
            }

        }
    };
    });

