require.config({
    paths: {
        // libs
            'raven'                         : '../../lib/raven-js/raven',
            'jquery'                        : '../../lib/jquery/jquery.min',
            'underscore'                    : '../../lib/underscorejs/underscore',
            'lodash'                        : '../../lib/lodash/lodash.min',

            // fep-chip-widgets
            'WidgetOutbrain'                : '../../lib/fep-chip-widgets/src/js/widget-outbrain',
            'WidgetEnergy'                  : '../../lib/fep-chip-widgets/src/js/widget-energy',
            'WidgetNewsletter'              : '../../lib/fep-chip-widgets/src/js/widget-newsletter',
            'WidgetVetalio'                 : '../../lib/fep-chip-widgets/src/js/widget-vetalio',

            // own components
            'ToggleTrigger'                 : '../../src/js/component/toggle-trigger',
            'ToggleTarget'                  : '../../src/js/component/toggle-target',
            'Modal'                         : '../../src/js/component/modal',
            'Carousel'                      : '../../src/js/component/carousel',
            'LazyImage'                     : '../../src/js/component/lazy-image',
            'NavigationTabs'                : '../../src/js/component/navigation-tabs',
            'Feedback'                      : '../../src/js/component/feedback',
            'Share'                         : '../../src/js/component/share',
            'ScrollSpy'                     : '../../src/js/component/scroll-spy',
            'viewportService'               : '../../src/js/component/viewport-service'
    },
    map: {
        '*': {
                'mediator'                  : '../../lib/core/mediator',
                'component/core/mediator'   : '../../lib/core/mediator',
                'component/postal/postal'   : '../../lib/postal/postal.min'
        }
    },
    shim: { },
    modules: []
});



require([
    'jquery',
    'mediator',
    'raven',
    'WidgetEnergy',
    'WidgetOutbrain',
    'WidgetVetalio',
    'WidgetNewsletter'

],function($, mediator, raven){
    raven.config('http://5ab0f277d7bb497e87f903e76504d030@sentry.chip.de/9', {
        release: 'example'
    }).install();


    $( document ).ready( function() {
        try {
            mediator.publish( 'ui.init' );
            $('body').addClass('js-active').removeClass('js-inactive');
        } catch(err) {
            raven.captureException( err );
        }

         window.addEventListener('body', function (e) {
         console.log (e.type+'.'+e.detail.message);
         }, false);

    });
    'use strict';
    console.log('Zusätzliches Javascript');
});


